#pragma once
#include "Entity.h"
#define CS_TORCH_TRIGGER_CREATENAME L"CS_torch_trigger"
class CS_Torch_Mechanism;
//火炬触发器（如果房间内的火炬全部点亮则触发事件）
class CS_Torch_Trigger :
    public Entity
{
public:
    void Step() override;
    bool bFindAllTorch = true;
    std::vector<std::weak_ptr<CS_Torch_Mechanism>> torchList;
    bool bSetEvent = true;
};

std::shared_ptr<Entity> CreateCS_Torch_Trigger();